## ros-foxy-tf2-tools 0.13.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(tf2_tools)

find_package(ament_cmake REQUIRED)

install(
  PROGRAMS
  scripts/view_frames.py
  DESTINATION lib/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-foxy-tf2-tools (0.13.14-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 16 Mar 2023 00:00:00 -0000

ros-foxy-tf2-tools (0.13.13-1focal) focal; urgency=high

  * Address security bug in yaml loading (#313 <https://github.com/ros2/geometry2/issues/313>) (#484 <https://github.com/ros2/geometry2/issues/484>)
  * Add ``graphviz`` as a runtime dependency (#483 <https://github.com/ros2/geometry2/issues/483>)
  * Contributors: Abrar Rahman Protyasha, Víctor Mayoral Vilches

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 31 Jan 2022 00:00:00 -0000

ros-foxy-tf2-tools (0.13.12-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 05 Oct 2021 00:00:00 -0000

ros-foxy-tf2-tools (0.13.11-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 31 Aug 2021 00:00:00 -0000

ros-foxy-tf2-tools (0.13.10-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 14 Apr 2021 00:00:00 -0000

ros-foxy-tf2-tools (0.13.9-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 09 Dec 2020 00:00:00 -0000

ros-foxy-tf2-tools (0.13.8-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-foxy-tf2-tools (0.13.7-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 18 Nov 2020 00:00:00 -0000

ros-foxy-tf2-tools (0.13.6-1focal) focal; urgency=high

  * Update maintainers of the ros2/geometry2 fork. (#328 <https://github.com/ros2/geometry2/issues/328>) (#332 <https://github.com/ros2/geometry2/issues/332>)
  * Contributors: Alejandro Hernández Cordero

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 28 Oct 2020 00:00:00 -0000

ros-foxy-tf2-tools (0.13.5-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 05 Aug 2020 00:00:00 -0000

ros-foxy-tf2-tools (0.13.4-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-foxy-tf2-tools (0.13.3-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 26 May 2020 00:00:00 -0000

ros-foxy-tf2-tools (0.13.2-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 18 May 2020 00:00:00 -0000

ros-foxy-tf2-tools (0.13.1-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 08 May 2020 00:00:00 -0000

ros-foxy-tf2-tools (0.13.0-1focal) focal; urgency=high

  * Added doxyfiles and sphinx Makefiles (#257 <https://github.com/ros2/geometry2/issues/257>)
  * tf2_tools update the shebang line (#226 <https://github.com/ros2/geometry2/issues/226>)
  * Adding support for view_frame (#192 <https://github.com/ros2/geometry2/issues/192>)
  * Contributors: Alejandro Hernández Cordero

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 30 Apr 2020 00:00:00 -0000

ros-foxy-tf2-tools (0.5.15-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 24 Jan 2017 00:00:00 -0000

ros-foxy-tf2-tools (0.5.14-1focal) focal; urgency=high

  * Remove old load_manifest from view_frames (#182 <https://github.com/ros/geometry2/issues/182>)
  * Contributors: Jochen Sprickerhof

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 16 Jan 2017 00:00:00 -0000

ros-foxy-tf2-tools (0.5.13-1focal) focal; urgency=high

  * casted el to string in view_frames
  * Contributors: g_gemignani

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 04 Mar 2016 00:00:00 -0000

ros-foxy-tf2-tools (0.5.12-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 05 Aug 2015 00:00:00 -0000

ros-foxy-tf2-tools (0.5.11-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 22 Apr 2015 00:00:00 -0000

ros-foxy-tf2-tools (0.5.10-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 21 Apr 2015 00:00:00 -0000

ros-foxy-tf2-tools (0.5.9-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 25 Mar 2015 00:00:00 -0000

ros-foxy-tf2-tools (0.5.8-1focal) focal; urgency=high

  * remove useless Makefile files
  * Contributors: Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 17 Mar 2015 00:00:00 -0000

ros-foxy-tf2-tools (0.5.7-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 23 Dec 2014 00:00:00 -0000

ros-foxy-tf2-tools (0.5.6-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 18 Sep 2014 00:00:00 -0000

ros-foxy-tf2-tools (0.5.5-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 23 Jun 2014 00:00:00 -0000

ros-foxy-tf2-tools (0.5.4-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 07 May 2014 00:00:00 -0000

ros-foxy-tf2-tools (0.5.3-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 21 Feb 2014 00:00:00 -0000

ros-foxy-tf2-tools (0.5.2-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 20 Feb 2014 00:00:00 -0000

ros-foxy-tf2-tools (0.5.1-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Feb 2014 00:00:00 -0000

ros-foxy-tf2-tools (0.5.0-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Feb 2014 00:00:00 -0000

ros-foxy-tf2-tools (0.4.10-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 26 Dec 2013 00:00:00 -0000

ros-foxy-tf2-tools (0.4.9-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 06 Nov 2013 00:00:00 -0000

ros-foxy-tf2-tools (0.4.8-1focal) focal; urgency=high

  * updating install rule for view_frames.py fixes #44 <https://github.com/ros/geometry_experimental/issues/44>

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 06 Nov 2013 00:00:00 -0000

ros-foxy-tf2-tools (0.4.7-1focal) focal; urgency=high





=== debian/control ===
Source: ros-foxy-tf2-tools
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-tf2, ros-foxy-tf2-msgs, ros-foxy-tf2-ros, ros-foxy-ros-workspace
Homepage: http://www.ros.org/wiki/tf2_tools
Standards-Version: 3.9.2

Package: ros-foxy-tf2-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, graphviz, ros-foxy-tf2, ros-foxy-tf2-msgs, ros-foxy-tf2-ros, ros-foxy-ros-workspace
Description: tf2_tools

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-tf2-tools//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
